Forwarding Gateways
List Forwarding Gateways
GET /forward/gateway
List of Forwarding Gateways
Response 200: A List of Forwarding Gateways
| Field | Type | Description |
|---|---|---|
api_key |
string | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
hostname |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
port_limit |
string |
Create Forwarding Gateway
POST /forward/gateway
Create a new Forwarding Gateway
Request body
| Field | Type | Required | Description |
|---|---|---|---|
api_key |
string | ||
groups |
array | ||
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
groups[].name |
string | ||
hostname |
string | yes | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string | yes | |
port_limit |
string |
Response 200: A Forwarding Gateway
| Field | Type | Description |
|---|---|---|
api_key |
string | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
hostname |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
port_limit |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
api_key |
string | ||
groups |
array | ||
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
groups[].name |
string | ||
hostname |
string | yes | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string | yes | |
port_limit |
string |
Response 422: Unprocessable Entity
Delete Forwarding Gateway
DELETE /forward/gateway/{gateway_id}
Delete a Forwarding Gateway
Response 200: Forwarding Gateway deleted successfully
Response 404: Item not Found
View Forwarding Gateway
GET /forward/gateway/{gateway_id}
A Forwarding Gateway
Response 200: A Forwarding Gateway
| Field | Type | Description |
|---|---|---|
api_key |
string | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
hostname |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
port_limit |
string |
Edit Forwarding Gateway
PATCH /forward/gateway/{gateway_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
api_key |
string | ||
groups |
array | ||
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
groups[].name |
string | ||
hostname |
string | yes | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string | yes | |
port_limit |
string |
Response 200: A Forwarding Gateway
| Field | Type | Description |
|---|---|---|
api_key |
string | |
groups |
array | |
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
groups[].name |
string | |
hostname |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
port_limit |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
api_key |
string | ||
groups |
array | ||
groups[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
groups[].name |
string | ||
hostname |
string | yes | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string | yes | |
port_limit |
string |
Response 422: Unprocessable Entity
List Forwarding Types
GET /forward/type
List of Forwarding Types
Response 200: A List of Forwarding Types
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
slug |
string |
View Forwarding Type
GET /forward/type/{type_id}
Forwarding Type Information
Response 200: Forwarding Type Information
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
slug |
string |